JUCE: Logger Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Logger Class Referenceabstract
juce_core » logging

Acts as an application-wide logging class. More...

`#include <juce_Logger.h>`

Inheritance diagram for Logger:

## Public Member Functions
virtual | ~Logger ()
| Destructor.

## Static Public Member Functions
static void JUCE_CALLTYPE | setCurrentLogger (Logger *newLogger) noexcept
| Sets the current logging class to use.
static Logger *JUCE_CALLTYPE | getCurrentLogger () noexcept
| Returns the current logger, or nullptr if no custom logger has been set.
static void JUCE_CALLTYPE | writeToLog (const String &message)
| Writes a string to the current logger.
static void JUCE_CALLTYPE | outputDebugString (const String &text)
| Writes a message to the standard error stream.

## Protected Member Functions
| Logger ()
virtual void | logMessage (const String &message)=0
| This is overloaded by subclasses to implement custom logging behaviour.

## Detailed Description

Acts as an application-wide logging class.

A subclass of Logger can be created and passed into the Logger::setCurrentLogger method and this will then be used by all calls to writeToLog.

The logger class also contains methods for writing messages to the debugger's output stream.

See also
  FileLogger

## Constructor & Destructor Documentation

## ◆ ~Logger()

virtual Logger::~Logger | ( |  | ) |
| virtual

Destructor.

## ◆ Logger()

Logger::Logger | ( |  | ) |
| protected

## Member Function Documentation

## ◆ setCurrentLogger()

static void JUCE_CALLTYPE Logger::setCurrentLogger | ( | Logger * | newLogger | ) |
| staticnoexcept

Sets the current logging class to use.

Note that the object passed in will not be owned or deleted by the logger, so the caller must make sure that it is not deleted while still being used. A null pointer can be passed-in to reset the system to the default logger.

## ◆ getCurrentLogger()

static Logger *JUCE_CALLTYPE Logger::getCurrentLogger | ( |  | ) |
| staticnoexcept

Returns the current logger, or nullptr if no custom logger has been set.

## ◆ writeToLog()

static void JUCE_CALLTYPE Logger::writeToLog | ( | const String & | message | ) |
| static

Writes a string to the current logger.

This will pass the string to the logger's logMessage() method if a logger has been set.

See also
  logMessage

## ◆ outputDebugString()

static void JUCE_CALLTYPE Logger::outputDebugString | ( | const String & | text | ) |
| static

Writes a message to the standard error stream.

This can be called directly, or by using the DBG() macro in juce_PlatformDefs.h (which will avoid calling the method in non-debug builds).

## ◆ logMessage()

virtual void Logger::logMessage | ( | const String & | message | ) |
| protectedpure virtual

This is overloaded by subclasses to implement custom logging behaviour.

See also
  setCurrentLogger

Implemented in FileLogger.

The documentation for this class was generated from the following file:

- juce_Logger.h